:root {
    --content-view-max-width: 720px;

    --content-radius-min: 0.75rem;
    --content-radius-max: 1rem;
    --content-radius: clamp(var(--content-radius-min), 1.5vw, var(--content-radius-max));

    --content-padding-x: clamp(1rem, 0.5vw + 0.875rem, 1.125rem);
    --content-padding-y: clamp(1.25rem, 0.5vw + 1rem, 1.5rem);

    --content-section-gap: clamp(1.25rem, 0.75vw + 1rem, 1.5rem);
    --content-padding: var(--content-padding-x) var(--content-padding-y);
    --content-padding-extended: var(--content-padding-x) var(--content-padding-y) 0;

    --content-padding-min: clamp(0.75rem, 0.5vw + 0.75rem, 1rem) clamp(1rem, 0.5vw + 0.75rem, 1.25rem);
    --content-padding-plus: clamp(1.25rem, 0.5vw + 0.875rem, 1.5rem) clamp(1.5rem, 0.5vw + 1rem, 1.75rem);
}

.app-top-container {
    display: flex;
    flex-direction: column;
    gap: 1.25rem;
}
.app-wrap {
    display: flex;
    flex-direction: column;
    gap: 1.75rem;
}
.app-section {
    --app-section-bg: var(--surface-1);
    --app-section-padding: var(--space-lg);
    --app-section-radius: var(--radius-lg);
    padding: var(--app-section-padding);
    border-radius: var(--app-section-radius);
    display: flex;
    flex-direction: column;
    gap: 1rem;
    background-color: var(--app-section-bg);
}
.app-title {
    font-weight: 600;
    font-size: 1rem;
}
.app-meta {
    font-size: 0.85rem;
    color: var(--text-muted-500);
}


/* Content */
.page-content {
    --content-bg: var(--surface-1);
    --content-box-shadow: 1px 2px 7px -6px rgba(0, 0, 0, 0.76);
    --content-border: var(--border-light);
   /* background: var(--content-bg);*/
    /* box-shadow: var(--content-box-shadow);
    border: 1px solid var(--content-border); */
    /*
    padding: 16px 20px;
    border-radius: 12px;
    flex: 1;*/
}
.page-content-wrap {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}
.page-content__header {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}
.page-content__title {
    font-size: clamp(1.25rem, 2vw + 1rem, 1.5rem);

}
.page-content__title sup {
    font-size: 0.9rem;
    color: var(--text-muted-700);
}
.page-content__subtitle {
    color: var(--text-muted-700);
    font-size: .9rem;
    max-width: 70%;
}
.page-content__actions {
    display: flex;
    gap: 0.5rem;
    flex-wrap: wrap;
}

.page-content__title-wrap {
    display: flex;
    gap: 0.5rem;
    margin: 1.5rem 0 0.875rem;
}

/* List */
.list {
    display: grid;
    gap: 1rem;
}

.user {
    display: grid;
    grid-template-columns: auto 1fr;
    gap: .75rem 1rem;
    align-items: center;
    padding: 1rem;
    border-radius: 12px;
    background: #fafafa;
}

.user img {
    width: 48px;
    height: 48px;
    border-radius: 50%;
}

.user__info span {
    display: block;
    font-size: .8rem;
    color: #666;
}

.checkbox {
    display: flex;
    align-items: center;
    gap: .5rem;
    font-size: .85rem;
}

select {
    grid-column: span 2;
    padding: .5rem;
    border-radius: 999px;
    border: 1px solid #ddd;
}

/* Tablet */
@media (min-width: 768px) {


    .page-content__header {
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
    }

    .user {
        grid-template-columns: auto 1fr auto auto;
    }

    select {
        grid-column: auto;
    }
}


/**/

.profile-wrap {
    display: flex;
    flex-direction: column;
    gap: 1.75rem;
}

.content-wrap {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}


.content-sidebar {
    position: sticky;
    top: 1.5rem;
    height: calc(100vh);
    z-index: 1;
    transition: none;
}

.content-sidebar-stack {
    display: flex;
    flex-direction: column;
    gap: 1.25rem;
}

.sidebar {

}

@media (max-width: 992px) {
    .content-sidebar {
        position: static;
        height: auto;
    }

    .sidebar {
        position: fixed;
        top: 0;
        left: -100%;
        width: 270px;
        height: 100%;
        background-color: var(--sidebar-bg, #fff);
        padding: 1.25rem 1rem;
        border-radius: 0;
        box-shadow: 2px 0 10px rgba(0, 0, 0, 0.15);
        transition: left var(--transition);
        z-index: 1051; /* ← выше, чем overlay */
        overflow-y: auto;
    }


    .sidebar.visible {
        left: 0;
    }

    .sidebar #hide-sidebar {
        display: inline-flex;
        align-items: center;
        gap: 0.5rem;
        background: transparent;
        border: none;
        font-size: 0.9rem;
        cursor: pointer;
        color: var(--text-color, #333);
        margin-bottom: 1rem;
    }

}

.content-sidebar-header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    gap: 1rem;
}


.content-sidebar-item {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}


.content-sidebar-title {
    font-size: 0.9rem;
    line-height: 1.5;
    display: flex;
    align-items: center;
    gap: 0.25rem;
    font-weight: 500;
}


/**/

.content {
    position: relative;
    border-radius: var(--content-radius);
    box-shadow: 1px 2px 7px -6px rgba(0, 0, 0, 0.76);
}
.content-wrap-column {
    display: flex;
    flex-direction: column;
}
.content-wrap-row {
    display: flex;
    flex-direction: row;
}
.content-padding {
    padding: var(--content-padding);
}
.content-padding-min {
    padding: var(--content-padding-min);
}
.content-padding-plus {
    padding: var(--content-padding-plus);
}
.content-padding-extended {
    padding: var(--content-padding-extended);
}
.content-padding-window {
    padding: 1.75rem 2rem;
}
.content-transparent {
    background: transparent;
}
.content-white {
    background: var(--content-bg);
    border: 1px solid var(--border-light);
}
.content-box-shadow {
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.02);
}
.content-radius {
    border-radius: var(--content-radius);
}

/**/

.content-window {
    border-radius: var(--content-radius);
    box-shadow: rgba(99, 99, 99, 0.2) 0 2px 8px 0;
    background: var(--content-bg);
    border: 1px solid var(--border-light);
    padding: 1.75rem;
    display: flex;
    flex-direction: column;
    position: relative;
}

.content-window a {
    color: #535353;
}


/**/

.section-x {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.section-x__header {

}

.section-x__title {
    display: flex;
    align-items: center;
    gap: 0.25rem;
    font-size: clamp(0.875rem, 0.5vw + 0.75rem, 1rem);
    line-height: 1.5;
    font-weight: 600;
}

/**/

.content-header {
    display: flex;
    flex-direction: row;
    gap: 1rem;
}
.content-header-image {
    position: relative;
    border-radius: var(--radius-md);
    min-width: 3.75rem;
    max-width: 3.75rem;
    height: 3.75rem;
}
.content-header-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.content-header-meta {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

/**/

.flex {
    display: flex;
}

.column {
    flex-direction: column;
}

.row {
    flex-direction: row;
}

/**/

.content-tabs-wrapper {
    position: relative;
}
.content-tabs {
    overflow-x: auto;
    overflow-y: hidden;
    -webkit-overflow-scrolling: touch;
    scrollbar-width: none;
}
.content-tabs::-webkit-scrollbar {
    display: none;
}

.tabs {
    line-height: 22px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 0.25rem;
    height: 100%;
    white-space: nowrap;
}

.tabs-tab {
    --tab-bg: var(--surface-1);
    --tab-bg-hover: var(--surface-gray-1);
    --tab-color: var(--text-muted-700);
    --tab-color-active: var(--text-primary);
    --tab-radius: var(--radius-md);

    --tab-active-bg: var(--light-primary);
    --tab-active-color: color-mix(
            in srgb,
            var(--primary) 68%,
            #2b2770
    );
    position: relative;
    display: flex;
    align-items: center;
    height: 2rem;
    padding: 0 0.6rem;
    background-color: var(--tab-bg);
    border-radius: var(--tab-radius);
    transition: color var(--transition), background var(--transition);
    white-space: nowrap;
    font-size: 0.85rem;
    letter-spacing: 0.1px;
    font-weight: 500;
}
.tabs-tab a:before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%
}

.tabs-tab-active,
.tabs-tab-active a {
    background: var(--tab-active-bg);
    color: var(--tab-active-color);
}
.tabs-tab a {
    color: var(--tab-color);
    cursor: pointer;
}
.tabs-tab:hover {
    background: var(--tab-active-bg);
}
.tabs-tab:hover a {
    color: var(--tab-active-color);
}
.tabs-tab.tabs-tab-active {
    background: var(--tab-active-bg);
}


/* --- Кнопки прокрутки --- */
.tabs-scroll-btn {
    position: absolute;
    top: 0;
    bottom: 0;
    width: 2.25rem;
    height: 2.25rem;
    border: none;
    cursor: pointer;
    z-index: 2;
    transition: opacity var(--transition);
    border-radius: 0.5rem;
    background: #e5e9eb;
    display: flex;
    align-items: center;
    justify-content: center;
}

.tabs-scroll-btn.right {
    right: -2.5rem;
}
.tabs-scroll-btn.left {
    left: -2.5rem;
}

.tabs-scroll-btn:hover {
    background: rgba(255,255,255,0.8);
}

/* скрыты по умолчанию */
.tabs-scroll-btn.hidden {
    opacity: 0;
    pointer-events: none;
}

/**/

.view-wrap {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.view-top {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.view-middle {
    display: flex;
    flex-direction: column;
    gap: 0.5rem
}

.view-middle-filters {
    display: flex;
    flex-direction: column;
    gap: 0.75rem
}

.view-middle-filters-wrap {
    display: grid;
    grid-template-columns: 1fr;
    gap: 0.5rem;
}

/* 992px и выше — 2 колонки */
@media (min-width: 992px) {
    .view-middle-filters-wrap {
        grid-template-columns: repeat(2, 1fr);
    }
}

/* 1200px и выше — 3 колонки */
@media (min-width: 1200px) {
    .view-middle-filters-wrap {
        grid-template-columns: repeat(3, 1fr);
    }
}

.filter-select {
    background-color: #fff!important;
    height: 2.5rem!important;
    min-width: 7rem!important;
    max-width: 10rem!important;
    font-size: 0.9rem!important;
}

.search__block {
    padding: 0.25rem 0.25rem 0.25rem 1rem;
    position: relative;
    overflow: hidden;
    background: #fff;
    border: 1px solid var(--border-light);
    border-radius: var(--radius--075);
    width: auto;
    min-width: 200px;
}
.search__block-sm {
    height: 2.5rem;
}
.search__block-md {
    height: 3rem;
    box-shadow: 0 5px 5px rgba(0, 0, 0, .08);
}

.search__block-wrap {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    gap: 1rem;
    height: 100%;
}

.search__block svg {
    color: var(--text-primary);
}

.search__block .search__input {
    margin: 0;
    padding: 0;
    font-size: 0.9rem;
    line-height: var(--text--10--line-height);
    flex: 1;
    background: unset;
    border: unset;
    outline: none;
    position: absolute;
    left: 3rem;
    width: 90%;
    height: 100%;
    z-index: 1;
}

.search__block input:required:invalid {
    border-color: transparent;
}

.search__block .search__input::placeholder {
    color: var(--text-primary);
}

.search__block .search__input-btn {
    text-align: center;
    vertical-align: middle;
    border-radius: var(--radius--075);
    cursor: pointer;
    font-size: var(--text--15);
    min-width: 2.5rem;
    min-height: 2.5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 0.5rem;
    padding: 0;
    margin: 0;
    z-index: 2;
    background: #f9f7f9;
}

@media (max-width: 991px) {
    .search__block {
        margin: 0;
        max-width: unset;
        border: 1px solid var(--border-light);
    }

    .search__block-wrap {
        justify-content: end
    }

    .search__block .search__input {
        font-size: var(--text--10);
        line-height: var(--text--10--line-height);
        left: 1rem;
    }

    .search__block .icon {
        display: none;
    }
}

@media (min-width: 992px) {

    .search__block .search__input:focus-visible {
        border-color: #111
    }

    .search__block:active,
    .search__block:focus,
    .search__block:focus-within {
        outline: 0;
        box-shadow: 0 0 0 .25rem rgba(13, 110, 253, .25);
    }

}
@media (hover: hover) and (pointer: fine) {
    .search__block .search__input-btn:hover {
        background: #f1e7f1;
        color: var(--text-primary)
    }

}

@media (max-width: 991px) {

    .search__block {
        width: 100%;
        min-width: unset;
    }

}

/**/


.app-content-container {
    --app-section-bg: var(--surface-1);
    --app-section-padding: var(--space-md);
    --app-section-radius: var(--radius-lg);
    padding: var(--app-section-padding);
    border-radius: var(--app-section-radius);
    display: flex;
    flex-direction: column;
    gap: 1rem;
    background-color: var(--app-section-bg);
}

.app-content-wrap {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}


.app-content-cover-image {
    position: relative;
    aspect-ratio: 640 / 200;
    background-color: var(--media-object-bg);
    overflow: hidden;
    width: 100%;
    max-height: 15rem
}

/**/


.media-content-container {
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    background-color: #fff;
    border-radius: var(--content-radius);
}




.view-media-content {
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    background-color: #fff;
    border-radius: var(--content-radius);
}

.view-media-content-body {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    padding: 0 1.5rem 1.5rem;
}

.view-media-header_cover {
    position: relative;
    aspect-ratio: 640 / 200;
    /*background-color: var(--media-object-bg);*/
    overflow: hidden;
    border-radius: var(--content-radius) var(--content-radius) 0 0;
    width: 100%;
}

/**/

.view-header {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}
.content-header-count-wrap {
    display: flex;
    flex-direction: row;
    gap: 0.5rem;
}
.content-header-title {
    color: #2d2a26;
    font-size: clamp(1.125rem, 1.5vw + 0.875rem, 1.3rem);
    line-height: 1.3;
    letter-spacing: -0.2px;
    font-weight: 600;
}
.content-header-title a {
    color: #c92487;
    text-decoration: underline;
}
.content-header-title sup {
    font-size: 0.9rem;
    color: #666;
}
.content-header-title-width {
    max-width: 60%;
}

.content-header-info, .view-header p {
    font-size: clamp(0.8125rem, 0.75vw + 0.6875rem, 0.9375rem);
    line-height: 1.4;
    color: var(--text-muted-500);
    max-width: 85%;
}

.view-header-count {
    font-size: 0.92rem;
    line-height: var(--text--10--line-height);
    color: var(--text-muted-500);
    max-width: 60%;
}

.view-header-menu {
    display: flex;
    align-items: center;
    flex-direction: row;
    gap: 1rem;
    padding: 0;
    margin: 0;
    list-style: none;
}

.view-header-nav__item {
    font-size: var(--text--10);
}

.view-header-nav__item a {
    color: var(--text-primary);
    text-decoration: underline;
}

@media(max-width: 992px) {

    .view-header-menu {
        width: 100%;
        padding: 0;
        display: flex;
        flex-wrap: nowrap;
        justify-content: flex-start;
        overflow-x: auto;
        overflow-y: hidden;
        white-space: nowrap;
        -webkit-overflow-scrolling: touch;
        gap: 1rem;
    }

    .view-header-nav__item {
        font-size: var(--text--0875);
        flex: 0 0 auto;
    }

    .view-header-menu::-webkit-scrollbar {
        display: none
    }

}
@media (hover: hover) and (pointer: fine) {
    .view-header-nav__item:hover a {
        color: var(--href-color);
    }
}

@media (max-width: 991px) {

    .view-header {
        position: relative;
        flex-direction: column;
        hyphens: auto;
        gap: 1rem;
    }

    .view-header-wrap {
        flex-direction: column;
        align-items: baseline;
        gap: 3rem
    }

    .view-header-name {
        display: flex;
        flex-direction: column;
        justify-content: center;
        gap: 1rem
    }

    .content-header-title-wrap {
        flex-direction: column-reverse;
    }

    .content-header-title {
        font-size: var(--h1--mobile--font-size);
        line-height: var(--h1--mobile--line-height);
        letter-spacing: var(--h1--mobile--letter-spacing);
        font-weight: 600;
        max-width: 100%;
    }

    .content-header-title-width {
        max-width: unset;
    }

    .view-header a:hover {
        text-decoration: underline;
    }

    .content-header-info, .view-header p {
        max-width: unset;
    }

}



/**/

.article-text {
    font-size: var(--text--10);
    line-height: var(--text--10--line-height);
    word-break: break-word;
}

.article-text-width {
    max-width: 700px;
}

.article-text h2,
.article-text h3,
.article-text h4,
.article-text h5 {
    margin-top: 2.5em;
    margin-bottom: 1em;
    font-weight: 600;
    line-height: 1.3;
}
.article-text h2:first-child {
    margin-top: 1rem;
}
.article-text h3:first-child {
    margin-top: 1rem;
}

.article-text h2 {
    font-size: var(--h2--font-size);
    border-bottom: 2px solid #2980b9;
    padding-bottom: 0.3em;
}

.article-text h3 {
    font-size: var(--h3--font-size);
}

.article-text h4 {
    font-size: var(--h4--font-size);
    font-style: italic;
}

.article-text h5 {
    font-size: var(--h5--font-size);
    font-weight: 500;
    color: var(--href-color);
}

.article-text p {
    margin-bottom: 1.25em;
}

.article-text p strong,
.article-text p b {
    font-weight: 600;
}

.article-text ul, .article-text ol {
    margin: 1em 0 1.5em 1.5em;
    padding-left: 0;
    list-style-type: disc;
    font-size: 17px;
    line-height: 1.5;
}

.article-text ul li, .article-text ol li {
    margin-bottom: 0.5em;
}

.article-text iframe {
    width: 100%;
    border-radius: var(--radius--0375);
}

.article-text img {
    max-width: 100%;
    height: auto;
    display: block;
    margin: 1.5em auto;
    border-radius: var(--radius--0375);
    box-shadow: 0 1px 5px rgb(0 0 0 / 0.1);
}

.article-text a {
    color: var(--href-color);
}

.article-text a:hover {
    color: var(--href-color-hover);
    text-decoration: underline;
}

/**/

.cards-list-column {
    position: relative;
    display: grid;
    grid-template-columns: minmax(0, 100%);
    z-index: 1;
}
.cards-list-gap-sm {
    grid-gap: 10px;
    gap: 10px;
}
.cards-list-gap-md {
    grid-gap: 16px;
    gap: 16px;
}
.cards-list-gap-lg {
    grid-gap: 24px;
    gap: 24px;
}

/**/

.content-section {
    display: flex;
    flex-direction: column;
    gap: var(--content-section-gap);
    padding: var(--content-padding);
    background-color: var(--bg--white);
    border-radius: var(--content-radius);
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.02);
}

.content-section-header {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}

.content-section-title {
    font-size: clamp(0.875rem, 0.5vw + 0.75rem, 1rem);
}
.content-section-title-wrap {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 0.75rem
}

.content-section-footer {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 0.5rem
}



/**/

.catalog__sections-wrap {
    display: flex;
    flex-direction: column;
    gap: 6rem
}

.catalog__section {
    display: flex;
    flex-direction: column;
    gap: 3rem;
}

.catalog__section-header {
    position: relative;
}

.catalog__section-header a {
    color: var(--text-primary);
}



.catalog__section-header-title {
    display: inline;
    width: 70%;
    font-size: 2.5rem;
    line-height: 1;
    font-weight: 600;
    letter-spacing: -0.25px;
}

.catalog__section-mini {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    font-size: var(--text--0875);
    padding: 0.5rem 0.5rem 1rem;
}

.catalog__section-mini-img {
    position: relative;
    width: 100%;
    height: 8rem;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}

.catalog__section-mini-img::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(60, 60, 61, .08);
    z-index: 1;
    pointer-events: none;
    border-radius: var(--content-radius);
}

.catalog__section-mini img {
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
}


.catalog__section-mini-image {
    position: relative;
    background-position: left;
    background-size: contain;
    background-repeat: no-repeat;
    border-radius: var(--content-radius);
    min-width: 5rem;
    min-height: 5rem;
}

.catalog__section-mini-image::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(60, 60, 61, .08);
    z-index: 1;
    pointer-events: none;
    border-radius: var(--content-radius);
}

.catalog__section-mini a {
    text-decoration: underline;
}

.catalog__section-mini-header a {
    color: var(--text-primary);
}

.catalog__section-mini-header-title {
    font-size: var(--text--10);
    line-height: var(--text--10--line-height);
    display: inline;
}

.catalog__section-mini .toggle-btn {
    padding: 0.25rem 0.5rem;
    background-color: #c6e8f5;
    border-radius: var(--content-radius);
}

.catalog__section-list {
    padding: 0;
    margin: 0;
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    list-style: none;
}

@media (max-width: 991px) {
    .catalog__section-header-title {
        display: block;
    }
}

@media (hover: hover) and (pointer: fine) {
    .catalog__section-header a:hover {
        color: var(--href-color-hover);
    }
    .catalog__section-mini-header a:hover {
        color: var(--href-color-hover);
    }
    .catalog__section-mini-header-title:hover,
    .catalog__section-header-title:hover {
        color: var(--href-color-hover)
    }
}

.catalog__section-list.toggle-content {
    max-height: 5.5rem;
    overflow: hidden;
    transition: max-height var(--transition);
}

.catalog__section-list.toggle-content.expanded {
    max-height: 1000px;
}

/**/


.items-by-letter {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}

.list-letter-section {
    scroll-margin-top: 40px;
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.list-letters-nav {

}

.list-letters-nav a {
    color: var(--btn-color--text--base);
}

.list-letters-nav ul {
    padding: 0;
    margin: 0;
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    gap: 0.5rem
}

.list-letters-nav ul li {
    display: flex;
    align-items: center;
    justify-content: center;
   /* flex: 1;*/
    font-size: 1.25rem;
    font-weight: 500;
    height: 1.5rem;
    width: 1.5rem;
}

.brands-list-item a {
    color: var(--btn-color--text--base);
}

.brands-list-item a:hover {
    color: var(--href-color);
    text-decoration: underline;
}

.list-letters-nav a.active {
    font-weight: bold;
    color: var(--primary-400);
    text-decoration: underline;
}

.items-letter-title {
    font-size: var(--text--15);
    font-weight: 600;
}


.brands-list {
    list-style: none;
    margin: 0;
    padding: 0;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(180px, 1fr));
    gap: 0.75rem;
}

.mobile-visible {
    display: flex;
}

@media(min-width: 991px) {

    .mobile-visible {
        display: none;
    }

}



/**/

/**/
.list-items-wrap {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}
.list-item-wrap {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.list-items-title-wrap {
    display: flex;
    flex-direction: column;
    gap: 1.25rem;
}

.list-item {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.list-item__left {
    display: flex;
    gap: 0.4rem;
    align-items: center;
}
.list-item__right {

}
.list-item__num {
    width: 1.5rem;
    height: 100%;
    display: flex;
    align-items: center;
}
.list-item__num-number {
    font-size: 15px;
    line-height: 22px;
    position: relative;
}
.list-item__main {
    display: flex;
    align-items: center;
    flex-direction: row;
    gap: 1rem
}
.list-item__image {
    position: relative;
    max-width: none;
    --avatar-width: 3rem;
    --avatar-height: 3rem;
    --avatar-radius: 50%;
}
.list-item__image img {
    width: var(--avatar-width);
    height: var(--avatar-height);
    border-radius: var(--avatar-radius);
    object-fit: cover;
}
.list-item__image-placeholder {
    width: var(--avatar-width);
    height: var(--avatar-height);
    border-radius: var(--avatar-radius);
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--text-white);
    font-weight: 500;
    font-size: 1.1rem;
    line-height: 1;
    text-transform: uppercase;
}
.list-item__info {
    display: flex;
    flex-direction: column;
    gap: 0.125rem;
}
.list-item__title {
    font-size: 0.95rem;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    font-weight: 500;
    color: var(--text-primary);
}
.list-item__meta {
    font-size: 0.85rem;
    line-height: 18px;
    display: flex;
    align-items: center;
    min-width: 0;
    color: var(--text-muted-700);
}

/**/

.info-list--wrap {
    display: flex;
    flex-direction: column;
    gap: 1.75rem;
}
.info-list {
    display: flex;
    flex-direction: column;
    gap: 1.25rem;
}
.info-list-header {
    display: flex;
    flex-direction: column;
    gap: 0.25rem;
}
.info-list-wrap {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}
.info-list-item {
    display: flex;
    align-items: center
}
.info-list__title {
    font-size: 1rem;
    font-weight: 500
}
.info-list__meta {
    font-size: 0.92rem;
    line-height: 1.3;
}
.info-list__link {
    display: flex;
    margin-top: 16px
}

.info-list-item__info-space {
    margin-right: auto;
}
.info-list-item__info {
    font-size: 15px;
    line-height: 22px;
    --avatar-size: 35px;
    display: grid;
    grid-template-columns: var(--avatar-size) 1fr;
    grid-template-rows: repeat(2, auto);
    grid-gap: 0 1rem;
    gap: 0 1rem;
    align-items: center;
}
.info-list-item-svg {
    width: 2em;
    height: 2em;
    color: #cfcfcf;
}
.info-list-item__icon {
    grid-row: span 2;
}

.info-list-item__info-top {
    display: flex;
    align-items: center;
    min-width: 0;
    position: relative;
}
.info-list-item__name {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    font-weight: 500;
    color: var(--text-primary);
}


.info-list-item__info-bottom {
    font-size: 13px;
    line-height: 18px;
    display: flex;
    align-items: center;
    min-width: 0;
    color: var(--text-muted-700);
}


/**/

.product-header {
    display: grid;
    grid-template-columns: 1.5fr 1fr; /* левая в 2 раза шире правой */
    gap: 1.25rem;
    max-height: 20rem;
}


/**/


.page__product-layout {
    position: relative;
    display: flex;
    flex-direction: row;
    gap: 2rem;
    align-items: flex-start;
}

.page__product-slider {

}

.page__product-about {
    width: 60%;
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    gap: 1.75rem;
}

.page__product-slider-wrap {
    position: sticky;
    top: 6rem;
    max-height: calc(100vh - 20px);
    overflow: hidden;
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}


@media (max-width: 991px) {

    .page__product-layout {
        flex-direction: column;
    }

    .page__product-slider,
    .page__product-about {
        width: 100%;
    }

    .page__product-slider-wrap {
        position: relative;
        top: unset;
        max-height: none;
        gap: 1rem;
    }

}

/**/

.page__product-about-header {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.page__product-about-header-wrap {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.page__product-about-header-sku,
.page__product-about-header-rate {
    font-size: var(--text--10);
    color: var(--text-muted-700);
}

.prod-label {
    display: flex;
    gap: 0.25rem;
    font-size: var(--text--0875);
    line-height: var(--text--0875--line-height);
    font-weight: 600;
}

.page__product-about-header-title {
    font-weight: 600;
    font-size: var(--h1--2--font-size);
    line-height: var(--h1--2--line-height);
}

/**/

.page__product-about-wrap {
    display: flex;
    flex-direction: column;
    gap: 1.75rem;
}

.page__product-about-features-list {
    margin: 0;
    padding: 0;
    list-style: none;
    display: flex;
    flex-direction: column;
    gap: 0.25rem;
}

.page__product-about-features-list li {
    font-size: var(--text--09);
}

@media (hover: hover) and (pointer: fine) {
    .page__product-about-features-list li a:hover {
        text-decoration: underline;
    }
}


.prod-about-table {
    margin: 0;
    padding: 0;
    list-style: none;
    display: flex;
    flex-direction: column;
    gap: 0.25rem;
}

.prod-about-table {
    font-size: var(--text--10);
}

@media (max-width: 991px) {

    .page__product-about-wrap {
        gap: 1.5rem;
    }

}

.product__section {
    padding: 1rem;
    border-radius: var(--radius--05);
}

.product__section-wrap-row {
    display: flex;
    flex-direction: row;
    gap: 1rem;
    justify-content: space-between;
}

.product__section-wrap-column {
    display: flex;
    flex-direction: column;
    gap: 1.25rem;
}

.product__section-gray {
    background-color: var(--bg--gray-primary);
}

.product__section-bordered {
    border: 1px solid var(--border-light);
}

@media (max-width: 991px) {
    .product__section-wrap-row {
        flex-direction: column;
    }

}

/**/

.prod-message {
    padding: 1rem;
    border-radius: var(--radius--05);
    font-size: var(--text--10);
}

.message-warning {
    background-color: #fff6ea;
    color: #3d2d16
}

.product-about-brand {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

@media (max-width: 991px) {

    .product-about-brand {
        gap: 1.5rem;
    }

}

.prod-description {
    font-size: var(--text--10);
    line-height: var(--text--10--line-height);
    color: #212529;
}

.prod-description h2,
.prod-description h3,
.prod-description h4 {
    font-weight: 600;
    line-height: 1.3;
    margin-top: 1.5rem;
    margin-bottom: 0.75rem;
    color: #212529;
}

.prod-description h2 {
    font-size: var(--text--125);
    border-bottom: 1px solid #dee2e6;
    padding-bottom: 0.25rem;
}

.prod-description h3 {
    font-size: var(--text--1125);
}

.prod-description h4 {
    font-size: var(--text--10);
    line-height: var(--text--10--line-height);
}

.prod-description p {
    margin-bottom: 1rem;
}

.prod-description ul,
.prod-description ol {
    padding-left: 1.25rem;
    margin-bottom: 1rem;
}

.prod-description ul {
    list-style-type: disc;
}

.prod-description ol {
    list-style-type: decimal;
}

.prod-description li {
    margin-bottom: 0.5rem;
}

.prod-description a {
    color: var(--href-color);
    text-decoration: underline;
}

.prod-description a:hover {
    color: var(--href-color-hover);
    text-decoration: none;
}

.prod-description img {
    max-width: 100%;
    height: auto;
    margin: 1rem 0;
    border-radius: var(--radius--025);
}



/***/


.collapse-btn {
    max-width: 10rem;
}

@media (max-width: 991px) {
    .collapse-btn {
        max-width: unset;
    }
}

.collapse-text {
    position: relative;
    max-height: 8rem;
    overflow: hidden;
    background-image: linear-gradient(to top, rgb(255, 255, 255, 0.3), rgba(0, 0, 0, 0));
    transition: max-height var(--transition);
}

.collapse-text:after {
    position: absolute;
    bottom: 0;
    left: 0;
    display: block;
    width: 100%;
    height: 30px;
    background: linear-gradient(180deg, hsla(0, 0%, 100%, 0), var(--bg--gray-primary));
    content: "";
    transition: opacity var(--transition);
}

.collapse-text.no-gradient:after {
    opacity: 0;
}

.collapse-text.active {
    max-height: none;
}

.collapse-text.active.no-gradient:after {
    display: none;
}

/* CARDS END */

.swiper {
    width: 100%;
    height: 100%;
}

.main-slider {
    position: relative;
    width: 100%;
    border-radius: var(--content-padding);
    background: var(--bg--white);
    margin: 0;
    overflow: hidden;
    z-index: 9;
}

.main-slider .swiper-slide {
    position: relative;
    /*height: 60svh;
    max-height: 500px;*/
    border-radius: var(--content-padding);
    display: flex;
    align-items: center;
    justify-content: center;
    min-width: 100%;
}

.main-slider picture {
    min-width: 100%;
}

.main-slider .swiper-slide img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: contain;
    border-radius: var(--radius--075);
    max-height: 18rem;
}

.main-slider .swiper-button-next,
.main-slider .swiper-button-prev {
    opacity: 0;
    transform: translateY(-50%) scale(0.8);
    pointer-events: none;
    transition: opacity var(--transition), transform 0.3s var(--transition), background var(--transition);
    top: 50%;
    position: absolute;
    background: var(--swiper-navs-bg);
    -webkit-backdrop-filter: var(--swiper-navs-filter);
    backdrop-filter: var(--swiper-navs-filter);
    border-radius: var(--radius--circle);
    width: 3rem;
    height: 3rem;
    display: flex;
    align-items: center;
    justify-content: center;

    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.15), 0 1px 2px rgba(0, 0, 0, 0.3);
    z-index: 5;
}

.main-slider .swiper-button-next.swiper-button-disabled,
.main-slider .swiper-button-prev.swiper-button-disabled {
    z-index: 999;
    opacity: 0;
}

@media (max-width: 991px) {

    .main-slider {
        height: 28rem;
        width: 100%;
        border-radius: var(--radius--1);
        max-height: unset;
        max-width: unset;
        background: var(--bg--white);
        margin: 0
    }

    .main-slider picture {
        min-width: unset
    }

}

@media (min-width: 992px) {

    .main-slider .swiper-button-prev:after,
    .main-slider .swiper-button-next:after {
        content: "";
        display: block;
        width: 1.75rem;
        height: 1.75rem;
        background-repeat: no-repeat;
        background-position: center;
        background-size: contain;
    }

    /* Левая стрелка */
    .main-slider .swiper-button-prev:after {
        background-image: var(--icon--arrow-left);
    }

    /* Правая стрелка */
    .main-slider .swiper-button-next:after {
        background-image: var(--icon--arrow-right);
    }


    .main-slider:hover .swiper-button-next,
    .main-slider:hover .swiper-button-prev {
        opacity: 1;
        transform: translateY(-50%) scale(1);
        pointer-events: auto;
    }

    .main-slider .swiper-button-next.swiper-button-disabled, .main-slider .swiper-button-prev.swiper-button-disabled {
        visibility: hidden;
        opacity: 0;
        pointer-events: none;
    }

}

@media (hover: hover) and (pointer: fine) {
    .main-slider:hover {
        background-color: var(--bg--gray-primary);
    }
    .main-slider picture a:hover {
        cursor: zoom-in;
    }
    .main-slider .swiper-button-next:hover,
    .main-slider .swiper-button-prev:hover {
        background: var(--swiper-navs-bg-hover);
    }
}

.thumb-slider {
    margin-left: 0;
    margin-right: auto;
}

.thumb-slider .swiper-slide {
    position: relative;
    background: var(--bg--white);
    display: flex;
    justify-content: center;
    align-items: center;
    background-size: cover;
    background-position: center;
    border-radius: var(--radius--075);
}

.thumb-slider .swiper-wrapper {
    display: grid;
    grid-template-columns: repeat(3, minmax(0, 1fr));
    gap: 0.75rem;
}


.thumb-slider .swiper-slide img {
    padding: 0.25rem;
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: var(--radius--1);
}

.thumb-slider .swiper-slide-thumb-active {
    opacity: 1;
    position: relative;
    border-color: var(--primary-400);
    border-radius: var(--radius--1);
}

@media (max-width: 991px) {
    .thumb-slider {
        display: block;
        overflow-x: auto;
        white-space: nowrap;
    }
    .thumb-slider .swiper-slide {
        display: inline-block;
        width: 5rem !important;
        height: 5rem !important;
    }
}

@media (hover: hover) and (pointer: fine) {
    .thumb-slider .swiper-slide:hover {
        cursor: pointer;
    }
}

/**/

.specs {
    display: grid;
    grid-template-columns: 1fr 2fr;
    gap: 6px 20px;
    font-size: 0.92rem;
}

.spec {
    color: var(--text-muted-700);
    border-bottom: 1px dotted #ccc;
    padding-bottom: 3px;
}

.value {
    font-weight: 500;
    padding-bottom: 3px;
}

/**/

.form-grid-items-list {
    margin: 0.25rem 0 0;
    display: flex;
    flex-direction: column;
    gap: 2rem;
}
.form-grid-item {
    display: grid;
    grid-template-columns: 200px 1fr;
    gap: 1.25rem;
}
.form-grid-item-info {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}
.form-grid-item-title {
    font-size: 1rem;
    font-weight: 600;
}
.form-grid-item-meta {
    font-size: 0.85rem;
    color: var(--text-muted-500)
}


.db-form-width {
    max-width: 650px;
}
.db-form-width .btn {
    max-width: 200px;
}

.form-grid-base {
    display: grid;
    grid-template-columns: 270px 1fr;
    gap: 1.75rem;
}
.form-grid-base-revert {
    display: grid;
    grid-template-columns: 1fr 270px;
    gap: 1.75rem;
}
@media(max-width: 992px) {
    .form-grid-base {
        display: flex;
        flex-direction: column;
        gap: 1rem;
    }
}


/**/

.form-post-container {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    width: 100%;
}

.form-post-top {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    gap: 1.5rem;
}
.form-post-top-actions {
    display: flex;
    flex-direction: row;
    gap: 0.5rem;
}
.form-post-title {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 0.5rem;
    font-weight: 600;
    font-size: 1.25rem;
    line-height: 1.4;
    letter-spacing: 0.25px;
}

.form-post-wrap {
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}

.post-form-images {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}

.db-post-form-container {
    position: relative;
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: 1.25rem;
    width: 100%;
}

.db-post-form-container .char-counter {
    position: absolute;
    right: 0.5rem;
    bottom: 0;
    font-size: 0.75rem;
    color: var(--text-muted-700);
    text-align: right;
    transition: color var(--transition);
}

.db-post-form-container .char-counter.warning {
    color: #e67e22;
}

.db-post-form-container .char-counter.limit {
    color: #e74c3c;
}

.db-post-form-textarea {
    width: 100%;
    resize: none;
    border: unset;
    border-radius: 0.5rem;
    border: 1px solid #ccc;
    padding: 0.625rem 2.5rem 0.625rem 0.938rem;
    min-height: 8rem;
    max-height: 15rem;
    font-size: var(--text--10);
    outline: none;
    transition: background var(--transition);
    background-color: #fff;
    position: relative;
    overflow-y: auto;
     line-height: 1.6;
}

.db-post-form-textarea:required, .db-post-form-textarea:required:invalid {
border: none;
border-color: unset;
}

.db-post-form-textarea::placeholder {
color: var(--text-secondary);
opacity: 1;
}

.db-post-form-actions {
display: flex;
flex-direction: row;
align-items: center;
justify-content: space-between;
width: 100%;
}
.db-post-form-actions-left {
display: flex;
flex-direction: row;
gap: 0.5rem
}

.db-post-form-emoji-btn {
background: transparent;
border: none;
font-size: 20px;
cursor: pointer;
}

.db-post-form-action-btn {
display: flex;
align-items: center;
justify-content: center;
transition: var(--transition);
padding: 0 0.25rem;
min-width: 2.5rem;
height: 2.5rem;
border-radius: 0.75rem;
z-index: 2;
}

.db-post-form-action-btn svg {
z-index: 1;
}

.db-post-form-action-btn:hover {
background: #e9ecef;
}

.db-post-form-send-btn {
display: flex;
flex-direction: row;
align-items: center;
gap: 0.5rem;
background: #6b4eff;
color: #fff;
padding: 0 1rem;
font-size: 0.92rem;
font-weight: 600;
}
.db-post-form-send-btn:hover {
background: #6a44ea;
color: #fff;
}

.emoji-picker {
position: absolute;
bottom: 60px;
left: 20px;
z-index: 1000;
background: #fff;
border-radius: .5rem;
box-shadow: 0 4px 16px rgba(0,0,0,.15);
max-height: 320px;
overflow: hidden;
}
.emoji-picker {
width: 320px;
height: 300px;
}


@media(max-width: 992px) {

.db-post-form-textarea {
    flex: 1;
    resize: none;
    border: 1px solid var(--chat-border-color-dark);
    border-radius: var(--radius--05);
    padding: 0.5rem;
    min-height: 50px;
    font-size: var(--text--10);
}

}

/**/

/**/

.image-uploader {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.upload-dropzone {
    border: 2px dashed #ccc;
    border-radius: 12px;
    padding: 40px;
    text-align: center;
    color: var(--text-muted-700);
    cursor: pointer;
    transition: all var(--transition);
    background-color: #fafafa;
}

.upload-dropzone.dragover {
    border-color: #007bff;
    color: #007bff;
    background-color: #f0f8ff;
}
.upload-preview {
    display: flex;
    flex-direction: column;
    gap: 1rem
}

.upload-preview-new, .upload-preview-existing {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(120px, 1fr));
    gap: 12px;
}

.upload-preview-item {
    position: relative;
    border-radius: 0.75rem;
    overflow: hidden;
    cursor: grab;
    background: #fff;
    transition: box-shadow var(--transition);
    min-height: 8rem;

}

.upload-preview-item.dragging {
    opacity: 0.6;
    box-shadow: 0 0 10px rgba(0,0,0,0.1);
}

.upload-preview-item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.upload-remove-btn {
    position: absolute;
    top: 0.25rem;
    right: 0.25rem;
    background: #eb6464;
    border: none;
    border-radius: 0.5rem;
    width: 1.7rem;
    height: 1.7rem;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
    cursor: pointer;
    transition: background var(--transition);
}

.upload-remove-btn:hover {
    background: #ff5252;
}


/**/

.social-links {
    display: none;
    flex-direction: column;
    align-items: flex-start;
    gap: 0.5rem
}

.db-socials-grid-wrap {
    display: flex;
    flex-direction: column;
    gap: 1.75rem;
    width: 100%;
}
.db-socials-grid {
    display: grid;
    gap: 1.5rem;
    grid-template-columns: 1fr 1fr 1.5rem;
}

/**/

.specializations-list {
    display: inline-flex;
    flex-wrap: wrap;
    gap: 0.5rem;
    list-style: none;
    margin: 0;
    padding: 0;
}

.specialization-item {
    color: #874d6f;
    height: 2.5rem;
    padding: 0 1rem;
    border-radius: var(--radius--075);
    background: #faebf4;
    display: inline-flex;
    align-items: center;
    gap: 0.5rem;
    font-size: 0.92rem;
}

.specialization-remove {
    color: #d9534f;
    line-height: 1;
    text-decoration: none;
    cursor: pointer;
}

.specialization-remove:hover {
    color: #b52b27;
}

/**/


.date-field input[type="date"] {
    padding: 0.6rem 0.8rem;
    border: 1px solid #ddd;
    border-radius: var(--radius--1);
    background-color: #fff;
    font-size: 0.95rem;
    color: #333;
    transition: border-color var(--transition), box-shadow var(--transition);
}

.date-field input[type="date"]:focus {
    border-color: #b86bff;
    box-shadow: 0 0 0 3px rgba(184, 107, 255, 0.2);
    outline: none;
}

/**/

.db-form-grid-items-list {
    margin: 0.25rem 0 0;
    display: flex;
    flex-direction: column;
    gap: 2rem;
}
.db-form-grid-item {
    display: grid;
    grid-template-columns: 300px 1fr;
    gap: 2rem;
}
.db-form-grid-item-info {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}
.db-form-grid-item-title {
    font-size: 1.125rem;
    font-weight: 600;
}
.db-form-grid-item-meta {
    font-size: 0.92rem;
    color: #888
}


.db-form-width {
    max-width: 650px;
}
.db-form-width .btn {
    max-width: 200px;
}

.db-form-grid-base {
    display: grid;
    grid-template-columns: 270px 1fr;
    gap: 1.75rem;
}
.db-form-grid-base-revert {
    display: grid;
    grid-template-columns: 1fr 270px;
    gap: 1.75rem;
}
@media(max-width: 992px) {
    .db-form-grid-base {
        display: flex;
        flex-direction: column;
        gap: 1rem;
    }
}


.db-form-title {
    font-size: 1.125rem;
    font-weight: 600;
}


/**/
.db-form-grid-wrap {
    display: flex;
    flex-direction: column;
    gap: 1.75rem;
}
.db-form-grid {
    display: grid;
    gap: 1.5rem; /* расстояние между полями */
}
/* варианты сеток */
.db-grid-100 {
    grid-template-columns: 1fr; /* одно поле на всю ширину */
}
.db-grid-50-50 {
    grid-template-columns: 1fr 1fr; /* 50/50 */
}
.db-grid-20-80 {
    grid-template-columns: 20% 1fr;
}
.db-grid-80-20 {
    grid-template-columns: 1fr 20%;
}
.db-grid-40-60 {
    grid-template-columns: 40% 1fr;
}
.db-grid-60-40 {
    grid-template-columns: 1fr 40%;
}


/* адаптивность: на мобильных — всегда в столбик */
@media (max-width: 768px) {
    .form-grid {
        grid-template-columns: 1fr !important;
    }
}



/**/

.contacts-grid-wrap {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.contact-item {
    display: flex;
    flex-direction: row;
    gap: 1rem;
    padding: 0.75rem;
    border: 1px solid var(--surface-gray-3);
    border-radius: 0.5rem;
}



/**/

/**/

.list-actions-grid {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.list-action-item {
    display: flex;
    flex-direction: row;
    gap: 1rem;
    padding: 0.75rem;
    border: 1px solid var(--surface-gray-3);
    border-radius: 0.5rem;
}